{tx_hash}: Get raw transaction data

API: blockchain.info:blockchain-api
Endpoint: /rawtx/{tx_hash}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 185ms

Description

Returns complete transaction details including inputs (vin), outputs (vout), fee, size, and block confirmation info. Use this to verify transaction details, trace fund flows, or audit specific transactions.

From spec: Returns raw transaction data for a given transaction hash

Usage Tips

- Get tx_hash from /rawaddr/{address} or /rawblock/{block_hash} endpoints - Key fields: hash, vin_sz (input count), vout_sz (output count), size, fee, inputs[], outputs[] - prev_out in inputs contains the previous transaction output being spent - addr field shows the Bitcoin address for each output

Parameters (1)

tx_hash (string, path, required)

The transaction hash

Examples (1)

Get raw transaction data by transaction hash probe-gate

Demonstrates fetching complete transaction details including inputs, outputs, fee, and block confirmation for a specific transaction.

curl 'https://blockchain.info/rawtx/717046ba5c309eb86414cfe7b0ebd6b68d901c85ad67e34276e493e2334f61b0'
import requests

resp = requests.get("https://blockchain.info/rawtx/717046ba5c309eb86414cfe7b0ebd6b68d901c85ad67e34276e493e2334f61b0")
data = resp.json()
import zingu_apis

api = zingu_apis.api("blockchain")
result = api.fetch("rawtx/{tx_hash}")

for item in result:
    print(item)
const resp = await fetch("https://blockchain.info/rawtx/717046ba5c309eb86414cfe7b0ebd6b68d901c85ad67e34276e493e2334f61b0");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:27:25.058288 200 185ms
2026-04-15 01:08:51.701167 200 202ms
2026-04-14 00:32:46.574396 200 204ms
2026-04-12 15:29:59.084233 200 179ms
2026-04-10 01:13:52.911248 200 105ms
2026-04-09 01:02:50.128908 200 236ms